User Guide
ViewReportData
Specifies a JSON definition within the request to report data in paged increments, max. 1000 rows per page.
URL
|
POST /api/Report/ViewReportData |
ViewReportData method |
| Parameter | Required | Description | Type |
|---|---|---|---|
| No Parameters |
| Request Body |
application/json-path+json application/json text/json application/*+json |
| Example Value | Schema |
{"info": {"start": 0, "limit": 0, "order": [ {"ascending": true, "field": "string" } ], "groups": [ {"ascending": true, "field": "string" } ] }, "filter": {"valueType": 0, "useExists": true, "operator": 0, "values": [ {}] }, "cancellationToken": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "report": {"top": 0, "properties": {"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "engineSource": 0, "description": "string", "title": "string", "flags": 0, "tuneFlags": 0, "designNotes": "string", "dateCreated": "2024-12-15T16:54:49.156Z", "ownerId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "owner": "string", "permission": 0 }, "links": [ {"from": {"reportId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "columnId": "3fa85f64-5717-4562-b3fc-2c963f66afa6" }, "to": {"reportId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "columnId": "3fa85f64-5717-4562-b3fc-2c963f66afa6" } } ], "filter": {"valueType": 0, "useExists": true, "operator": 0, "values": [ {}] }, "joins": {"additionalProp1": 0, "additionalProp2": 0, "additionalProp3": 0 }, "columns": [ {"hidden": true, "format": "string", "label": "string", "sort": 0, "aggregate": {"type": 0, "distinct": true, "simpleTimeSeries": true }, "aggregationType": 0, "id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "reference": {"entity": "string", "field": "string", "isCustom": true }, "type": 0, "isUsed": true } ], "permissions": [ {"roleId": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "roleName": "string", "value": 0 } ] } } |
Responses
| Code | Description | Links |
| 200 | Success | No links |
|
Media Type text/plain application/json text/json Controls Accept header |
||
| Example Value | Schema | ||
{"data": [ "string" ], "total": 0, "groups": [ {"groupsValues": [ "string" ], "summaries": {"additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string" } } ], "canExport": true, "columns": [ {"title": "string", "field": "string", "dataType": 0, "sort": 0, "width": 0, "alignment": 0, "flags": 0, "format": "string" } ], "needsMask": true, "canSort": true, "cancellationToken": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "filters": [ {"type": 0, "id": "string", "extraData": "string", "useFullTextSearch": true, "title": "string" } ], "dataLoadSuccess": true, "isHistorical": true, "startDateFilterId": "string", "endDateFilterId": "string" } |
||
| 400 |
Bad Request |
No links |
|
Media Type text/plain application/json text/json |
||
| Example Value | Schema | ||
{"type": "string", "title": "string", "status": 0, "detail": "string", "instance": "string", "additionalProp1": "string", "additionalProp2": "string", "additionalProp3": "string" } |
||
| 401 | Unauthorized | No links |
